Bug 735702

Summary: [NV67] fast switch user was not working
Product: [Fedora] Fedora Reporter: bodhi.zazen <bodhi.zazen>
Component: xorg-x11-drv-nouveauAssignee: Ben Skeggs <bskeggs>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 16CC: airlied, ajax, bodhi.zazen, bruce, bskeggs, mcepl, pschindl, satellitgo, tadej.j, tflink
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: [cat:others]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 12:42:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Xorg.0.log
none
Xorg.0.log.old
none
/var/log/messages
none
dmesg none

Description bodhi.zazen 2011-09-05 04:23:41 UTC
Description of problem: nouveau test day Fast switch user was not working


Version-Release number of selected component (if applicable):


How reproducible: Left click user name at top right -> Switch User


Steps to Reproduce:
1. Make an additional user
2. Left click user name in top right corner
3. Click switch user in the sub menu
  
Actual results:

Screen flickers and returns to the current logged in user, same if logged in as live user or the new user

Autologin for live user was turned off


Expected results:

Menu of users -> select alternate user -> log in as new user -> switch between login sessions.



Additional info: Nouveau test day (early)

Comment 1 Matěj Cepl 2011-09-05 14:36:42 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log*; check with grep Backtrace /var/log/Xorg* which logs might be the most interesting ones, send us at least Xorg.0.log)
* output of the dmesg command, and
* please, don't forget, also system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 bodhi.zazen 2011-09-05 16:52:12 UTC
Thank you.

1. There is no xorg.conf with nouveau, or at least I am not using one.

2. grep Backtrace /var/log/Xorg.0.log -> nothing

3. Attached Xorg.0.log , Xorg.0.log.old , dmesg , and /var/log/messages

Comment 3 bodhi.zazen 2011-09-05 16:52:58 UTC
Created attachment 521523 [details]
Xorg.0.log

Comment 4 bodhi.zazen 2011-09-05 16:53:47 UTC
Created attachment 521524 [details]
Xorg.0.log.old

Comment 5 bodhi.zazen 2011-09-05 16:54:30 UTC
Created attachment 521525 [details]
/var/log/messages

Comment 6 bodhi.zazen 2011-09-05 16:54:59 UTC
Created attachment 521526 [details]
dmesg

Comment 7 Tim Flink 2011-09-06 16:05:49 UTC
I also hit this using the F16 nouveau test day x86_64 live image [1] made into a live usb.

[1] http://adamwill.fedorapeople.org/graphics_test_week_20110905/graphics_test_week-20110905-x64.iso

Comment 8 Tadej Janež 2011-09-07 20:58:44 UTC
Same here on a F16 radeon test day with the xorg-x11-drv-ati driver and a RV635 chip.

Comment 9 Petr Schindler 2011-09-19 13:53:48 UTC
I have same problem, but after clicking on switch user my screen goes black and then desktop is shown again and it freezes (I can only move with cursor but nothing else).

The same happens when I try to lock the screen (with shortcut and also with user menu option in upper right corner).

Comment 10 Fedora End Of Life 2013-01-16 12:26:09 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Tadej Janež 2013-02-13 10:31:51 UTC
I don't see this problem with F-17 anymore.

Comment 12 Fedora End Of Life 2013-02-13 12:42:51 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.